#!/usr/local/bin/perl

# 
# MiniSplit::HtmlSplit ѥץ Σ
#
# Rab-Duck
#
# LastUpdate(UTC): $Date: 2001/01/18 19:16:09 $
#


use strict;

my $mydir;
my $basename;

BEGIN{
    use File::Basename;

    # ѥ̤
    $basename = basename($0);
    $mydir = dirname($0) . '/';
    unshift(@INC, "${mydir}..", "${mydir}.");
}


use MiniSplit::HtmlSplit;



# ץѤζ̴ؿ
#   CacheWrite, CacheFlush ϽѴؿ
#   set_keyword ϡѹѤΥϥåѴؿ
require "comsub.pl";


# ѹѥϥåѿ
my %dummy=();
my %html_args=();

# ֥
my $obj_htmlsplit = MiniSplit::HtmlSplit->new();

# оݥե̾
my $filename = "${mydir}sample1.html";
$obj_htmlsplit->set_file_name($filename) || die "ե $filename  open ޤ";


# ʹߤǡsample1.html ФơǸˣեʬνϤ򤷤ޤ
# 쥯ȤƥեؽϤС̤ Web֥饦Ǹ뤳Ȥޤ


# HEAD ʬ
#  <!DOCTYPE > ˥ȤΤϤʤΤ
#  ɤФʤȤ롣
$obj_htmlsplit->set_props(KEYWORD_INC => 0);
CacheWrite($obj_htmlsplit->get_file_part("HEAD"));

$obj_htmlsplit->set_props(KEYWORD_INC => 1);


# SIMPLE ʬ
CacheWrite($obj_htmlsplit->get_file_part("SIMPLE"));

# VARIABLE ʬ
#   ѹܤΥϥåˤϡset_keyword ֥롼
#   set_keyword ϤΤˤϡ夷̵̾ؤλȤȤƤޤ
my ($var1, $var2);
$var1 = "ѹ var1";
$var2 = "ѹ var2";
set_keyword(\%html_args, ["var1", "var2"], [$var1, $var2]);
CacheWrite($obj_htmlsplit->get_file_part("VARIABLE", \%html_args));

# FORM ʬ
#   ץȤơ̵̾ϥåȤäľܲѹܤꤹ
#   ȤäƤѿäˤʤɬפʤȤ
CacheWrite($obj_htmlsplit->get_file_part("FORM", 
				     {"address_option" => 
				      "<option value=\"value1\">option1</option>\n<option value=\"value2\">option2</option>"}));

# TABLEϢ
#   TABLE ϣưŪ
#   set_keyword ϤΤˤϡ夷̵̾ؤλȤȤƤޤ
#
#   Τ褦ˤޤäǤ̤ѤΤϡĤǤե
#   ƤθĤؤŸɤǤ礦
#
#   󤬣Ĥξˤϡ㤨Хơ֥Υإåꡢ
#   뤤ϥơ֥ΤʤʤɡƤ˹碌Ƚ
#   äɤǤ礦
#
CacheWrite($obj_htmlsplit->get_file_part("TABLE-S", \%dummy));

my $loop_index;
for($loop_index=1; $loop_index<=3; $loop_index++){
    set_keyword(\%html_args, ["day", "scadule_title", "scadule_fname", "payment"],
		["$loop_index", "ȥ $loop_index", "./scadue_${loop_index}.html", '\\' . ${loop_index}*2]);
    CacheWrite($obj_htmlsplit->get_file_part("ONE-ITEM", \%html_args));
}

CacheWrite($obj_htmlsplit->get_file_part("TABLE-E", \%dummy));

# FOOT ʬ
#  </html> θ˥ȤΤϤʤΤ
#  ɤФʤȤ롣
$obj_htmlsplit->set_props(KEYWORD_INC => 0);
CacheWrite($obj_htmlsplit->get_file_part("FOOT", \%dummy));

$obj_htmlsplit->set_props(KEYWORD_INC => 1);

CacheFlush();
